@import url('rainbow-theme-github.css');
@import url(https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,300,700);

@import url('https://fonts.googleapis.com/css?family=Maven+Pro:400,500,700&subset=latin-ext');
@import url('https://fonts.googleapis.com/css2?family=Mulish:wght@300;400;700&family=Roboto:wght@400;700&display=swap');

@import url('flyout.css');
@import url('download_popup.css');
@import url('common.css');

:root {
  --button-background-disabled: #1372B579;
  --button-text: white;
  --button-border: none;
  --button-background: #1372b5;

  --label-font: normal;
  --label-color: #5F6E7D;
}

html, body {
  height: auto;
}

html {
  background-repeat: repeat;
  background-image: url(../resource/bg_repeating.jpg);
  background: #bde2e6;
}

body {
  background-color: transparent;
  color: #44384E;
  font-family: Optima, Lucida, 'MgOpen Cosmetica', 'Lucida Sans Unicode', sans-serif;
  font-size: 14px;
}

.digits,
.Widget_Table td > .digits
{
  font-family: Mulish,Catamaran,Verdana,Tahoma,Arial,Helvetica,sans-serif;
  font-size: 13px;
}

.mainPage {
  margin: 0px auto 0 auto;
}

/* hostname, db connection */
.footer {
  color: #666;
  display: block;
  font-size: 85%;
  margin-top: 20px;
  position: relative;
  text-align: center;
}

.mainMenu.Widget_Stack_Horizontal,
.mainMenu.Widget_Stack_Flat {
  padding: 5px 10%;
  background: red;
  border: 0;
  margin: 0;
  color: white;
  min-height: 2em;
}

.Widget_Table tbody tr:nth-child(odd),
.Widget_Table tbody tr:nth-child(odd) td {
  background-color: white;
}

.Widget_Table:not(.noZebra) tbody tr:nth-child(even),
.Widget_Table:not(.noZebra) tbody tr:nth-child(even) td {
  background-color: #f2f2f2;
}

.detailSection {
  border: 1px solid #AECCD7;
}

.Widget_List.verticalMenu {
  margin: 0px;
  padding: 5px;
  list-style-type: none;
}

.verticalMenuTitle {
  margin-left: -5px;
  font-weight: bold;
}

#submenu .Widget_LinkButton_Selected, .submenu .Widget_LinkButton_Selected, .verticalMenu .Widget_LinkButton_Selected
{
  /* color: #28E; */
  text-decoration: underline;
}

.Widget_LinkButton.button.Widget_LinkButton_Disabled {
  pointer-events: none;
  background: #1372B579;
}


/** style aanpassingen **/
.mainPage .title {
  background: transparent;
  font-weight: bold;
  border-bottom: 0;
  text-shadow: none;
}
.panel,
.panelTitle,
.Widget_Table tr th,
.Widget_ListTable tfoot tr th,
.Widget_ListTable tr:hover,
.Widget_Table .Widget_Table_ControllerRow{
  background: transparent;
}
.Widget_Table .Widget_Table_ControllerRow,
.Widget_Table tr:hover td {
  background-color: #ECECEC;
}
.Widget_Table thead tr th {
  cursor: default;
}
.Widget_List.verticalMenu {
  background-color: #E9E9E9;
}
.mainPage,
.mainPage .title,
.panel,
.panel .panelTitle{
  border-radius: 0;
  border: solid 1px #1372b5;
}

.panelTitle,
.mainPage .title,
.formCaption {
  font-family: Maven Pro, Source Sans Pro,Verdana,Tahoma,Arial,Helvetica,sans-serif;
  font-weight: 500;
  background: #1372b5;
  color: #F1F1F1;
  letter-spacing: 0.05em;
}

.formSubCaption {
  font-family: Maven Pro, Source Sans Pro,Verdana,Tahoma,Arial,Helvetica,sans-serif;
  font-weight: 300;
  background: #009fe1;
  color: #F1F1F1;
  padding-left: 5px;
  padding-top: 2px;
  padding-right: 5px;
  padding-bottom: 3px;
  display: block;
}

.formCaption .id,
.mainPage .title .id {
  font-size: 85%;
  line-height: 115%;
  color: #ffffffb0;
  padding-right: 5px;
  text-shadow: none;
}


.Widget_LinkButton.button, .Widget_FileUpload_Button, .Widget_Menu.button > .Widget_Menu_Text {
  padding-bottom: .5em;
  border-radius: .5em;
  border: 0;
  font-weight: normal;
  text-shadow: none;
  background: #1372b5;
  color: white;
}

.Widget_FileUpload_Input {
  display: none;
}

.button:hover {
  background: #ffaf00;/*#F0F3BD;*/
  color: #ffffff;
}
.Widget_Table tr th {
  background: #009fe1;
  color: white;
  height: 2em;
  border: 1px solid #009fe1;
  border-bottom: 0;
  outline: 0px;
  padding-bottom: 2px;
  font-weight: 300;
}
.Widget_Table tbody tr td:first-child,
.Widget_Table tfoot tr td:first-child {
  border: 1px solid transparent;
}
.Widget_LinkButton.button.inline {
  padding: 0 5px;
  margin: 0;
  margin-right: 5px;
  white-space: nowrap;
}

.warning {
  display: block;
  padding: 1em;
  font-style: italic;
  font-size: 90%;
  color: red;
  border: 1px solid #FFA9A9;
  background: #FFD7D7;
  margin: 2px 0;
}

.nofound.large {
  font-size: 150%;
}

.Widget_FormLayout_Row .Widget_Container.filterBar a {
  font-weight: normal;
  display: inline-block;
  padding: 2px 10px;
  background: #f5f5f5;
  border-top: 1px solid #B3B3B3;
  border-bottom: 1px solid #B3B3B3;
  font-size: 13px;
  border-right: 1px solid #B3B3B3;
  color: #7B7B7B;
  margin-right: 0 !important;
}
.Widget_FormLayout_Row .Widget_Container.filterBar a:hover {
  color: #000000;
  background: #C8C4C4;
  text-decoration: none;
}
.Widget_FormLayout_Row .Widget_Container.filterBar a:first-child {
  padding-left: 15px;
  border-left: 1px solid #B3B3B3;
  border-right: 1px solid #B3B3B3;
  box-shadow: none;
}
.Widget_FormLayout_Row .Widget_Container.filterBar a:last-child {
  padding-right: 15px;
  border-right: 1px solid #B3B3B3;
}
.Widget_FormLayout_Row .Widget_Container.filterBar a.Widget_LinkButton_Selected {
  background: #1372b5;
  color: white;
}

.Widget_FormLayout > fieldset > .Widget_FormLayout_Row >  label,
.label  {
  padding-right: 15px;
  font-weight: normal;
  color: #5F6E7D;
  text-align: right;
  max-width: 300px;
  vertical-align: baseline;
}

.Widget_Table_Row.sch_address_not_ok td * {
  color: firebrick;
}

/* override 'julia.css' */
.Widget_FormLayout fieldset input {
  margin: 1px 0;
}
.Widget_Table td {
  font-size: inherit;
  outline: 1px solid white;
  border: none;
}
.Widget_Table td > * {
  font-size: inherit;
}
/* end override 'julia.css' */

.Widget_TabControl > .Tab_Links > ul > li.active > a:hover,
.Widget_TabControl > .Tab_Links > ul > li.active > a {
  background: #028090;
  color: white;
}

.Widget_TabControl > .Tab_Links > ul > li a:hover {
  background: #a2d7de;
  color: #028090;
}

.Widget_TabControl > .Tab_Links > ul > li > a {
  background: white;
  border: 1px gray;
}

.main_coordinator {
  font-style: italic;
  color: gray;
  font-weight: bold;
}

.help_text {
  display: block;
  padding: 10px 0;
}

.Widget_ListTable {
  width: 100%;
  margin-bottom: 5px;
}

.Widget_ListTable_Row th,
.Widget_ListTable_Row td {
  border-bottom: 1px solid #eeeeee;
  padding: 2px 6px;
}
.Widget_ListTable_Row td > * {
  color: #666666;
}

.Widget_ListTable:not(.noZebra) tbody tr:nth-child(odd),
.Widget_ListTable:not(.noZebra) tbody tr:nth-child(odd) td {
  background: #F2F2F2;
  border: none;
}

.Widget_ListTable_Header_Row,
.Widget_ListTable_Header_Row th {
  background: #DDDDDD;
  text-align: left;
  border-bottom: 4px solid #DDDDDD;
  color: #444444;
  font-size: 95%;
  font-weight: bold;
  padding-bottom: 0;
}

.Widget_ListTable_ControllerRow {
  background: transparent;
}

.ui-dialog-titlebar {
  border-radius: 3px 3px 0 0;
  background: #009fe1;
}

.Widget_NumberOutput.percentage {
  display: inline-block;
  width: 8ex;
  text-align: right;
}

.Widget_Table tr:last-child td,
.Widget_Table td:last-child {
  border-bottom: 1px solid transparent;
}
.Widget_Table {
  border-top: 1px solid transparent;
  border-right: 1px solid transparent;
}

.mainMenu.Widget_Stack_Horizontal,
.mainMenu.Widget_Stack_Flat {
  background: #009fe1;
  color: white;
  border: 0;
  margin: 0;
  min-height: 2em;
  padding: 5px 0 5px 10%;
}

.mainMenu.Widget_Stack_Flat a {
  height: 1em;
  line-height: 1em;
  display: inline-block;
  margin: 1px 5px;
  padding: 5px 12px;
  border-radius: 8px 8px 8px 8px;
}

.mainMenu > .Widget_Stack_Row_Float > div > .Widget_Stack_Cell_Float > a,
.mainMenu > .Widget_Stack_Row_Float > .Widget_Stack_Cell_Float > a,
.mainMenu a {
  text-shadow: none;
  color: white;
  font-weight: normal;
  letter-spacing: 0.1em;
}

.mainMenu > .Widget_Stack_Row_Float > .Widget_Stack_Cell_Float > a.Widget_LinkButton_Selected,
.mainMenu > .Widget_Stack_Row_Float > .Widget_Stack_Cell_Float_Single > a.Widget_LinkButton_Selected,
.mainMenu a.Widget_LinkButton_Selected {
  background: #ffffff;
  color: #05668D;
  border-radius: .8em;
  border: 2px solid #ffffff;
  box-shadow: none;
  text-shadow: none;
}

.mainMenu > .Widget_Stack_Row_Float > .Widget_Stack_Cell_Float > a.Widget_LinkButton_Selected:hover,
.mainMenu > .Widget_Stack_Row_Float > .Widget_Stack_Cell_Float_Single > a.Widget_LinkButton_Selected:hover,
.mainMenu a.Widget_LinkButton_Selected:hover {
  color: #05668D;
  text-decoration: underline;
}

.mainMenu > .Widget_Stack_Row_Float > div > .Widget_Stack_Cell_Float > a:hover,
.mainMenu > .Widget_Stack_Row_Float > .Widget_Stack_Cell_Float > a:hover,
.mainMenu a:hover {
  background: #ffffff;
  color: #1372b5;
}

a {
  color: #555;
}

.Widget_HintingDropDown input {
  background: url(../resource/icon_Widget_HintingDropdown.png) no-repeat center right;
  background-origin: content-box;
}

.Widget_FormLayout .Widget_EljaQuill span {
  margin: unset;
}

.alertDelayedHide {
  visibility: visible;
  animation: .3s forwards delayedHide;
  animation-delay: 5s;
}

@keyframes delayedHide {
  to {
    visibility: hidden;
    height: 0;
    padding: 0;
    margin-bottom: 0;
    opacity: 0;
  }
}

/******************************/
/* Widget_MyPaginatorController */
/******************************/

.Widget_MyPaginatorController
{
  width:   max-content;
}

.Widget_MyPaginatorController .Widget_MyPaginatorController_First,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Previous,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Next,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Last
{
  background-image:url(julia/ui-icons_8ab0ba_256x240.png);
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  border: 1px solid #8ab0ba;
  border-radius: 5px;
  margin: 0 2px;
  cursor:pointer;
}

.Widget_MyPaginatorController .Widget_MyPaginatorController_First:hover,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Previous:hover,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Next:hover,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Last:hover
{
  background-image:url(julia/ui-icons_dee9ec_256x240.png);
  background-color: #8ab0ba;
}

.Widget_MyPaginatorController_Info
{
  margin-right: 5px;
  margin-left: 5px;
  width: initial !important;
}

.Widget_MyPaginatorControllerDiv
{
  width: max-content;
  margin: auto;
}

.Widget_MyPaginatorController .Widget_MyPaginatorController_First
{
  background-position: -240px -48px;
}

.Widget_MyPaginatorController .Widget_MyPaginatorController_Previous
{
  background-position: -96px -49px;
}

.Widget_MyPaginatorController .Widget_MyPaginatorController_Next
{
  background-position: -32px -49px;
}

.Widget_MyPaginatorController .Widget_MyPaginatorController_Last
{
  background-position: -208px -48px;
}

.Widget_MyPaginatorController .Widget_MyPaginatorController_First_Start,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Previous_Start,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Next_End,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Last_End
{
  cursor: default;
  filter: grayscale(100%);
  border: 1px solid #ababab;
}

.Widget_MyPaginatorController .Widget_MyPaginatorController_First_Start_Hide,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Previous_Start_Hide,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Next_End_Hide,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Last_End_Hide
{
  display: none;
}

.Widget_MyPaginatorController .Widget_MyPaginatorController_First_Start:hover,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Previous_Start:hover,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Next_End:hover,
.Widget_MyPaginatorController .Widget_MyPaginatorController_Last_End:hover
{
  background-image:url(julia/ui-icons_8ab0ba_256x240.png);
  background-color: transparent;
}

thead th .button-header {
  margin: 0;
  padding: 0;
  color: white;
  text-decoration: none;
  font-weight: initial;
}

thead th .button-header.Widget_LinkButton:hover .icon {
  color: #1372b5;
}

.AccordionForm .Widget_Accordion_Caption.Widget_Accordion_Caption_Opened,
.AccordionForm .Widget_Accordion_Caption.Widget_Accordion_Caption_Closed {
  background: #1372b5;
  color: #F1F1F1;
}
